package com.liquidnet.service.platform.service.impl.adam;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.liquidnet.common.cache.redis.util.RedisDataSourceUtil;
import com.liquidnet.commons.lang.util.DateUtil;
import com.liquidnet.service.adam.dto.vo.AdamPosScanitVo;
import com.liquidnet.service.adam.dto.vo.AdamProPerformMarkVo;
import com.liquidnet.service.adam.dto.vo.AdamProScanitVo;
import com.liquidnet.service.adam.entity.AdamUser;
import com.liquidnet.service.adam.entity.AdamUserInfo;
import com.liquidnet.service.adam.mapper.AdamUserInfoMapper;
import com.liquidnet.service.adam.mapper.AdamUserMapper;
import com.liquidnet.service.platform.utils.ObjectUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.ArrayList;

@Service
public class PlatformAdamUserPosService extends ServiceImpl<AdamUserMapper, AdamUser> {
    @Autowired
    private RedisDataSourceUtil redisDataSourceUtil;

    public AdamPosScanitVo scanitProcess(String code) {

        AdamPosScanitVo scanitVo = AdamPosScanitVo.getNew();
        scanitVo.setNickname("nk");
        scanitVo.setMobile("13700000000");
        scanitVo.setStageMarker(11);
        scanitVo.setUid("99999");

        return scanitVo;
    }
}
